### Function

# Camel file_util_encode_string

#### Declaration [src]

    gint
    camel_file_util_encode_string (
      FILE* out,
      const gchar* str
    )

#### Description [src]

Encode a normal string and save it in the output file.

#### Parameters

`out`

  Type: `FILE*`

  File to output to.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`str`

  Type: `const gchar*`

  Value to output.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

0 on success, -1 on error.